package cn.axzo.msg.center.service.pending.response;

import cn.axzo.msg.center.api.custombutton.ProposedButtons;
import cn.axzo.msg.center.service.enums.BizFinalStateEnum;
import cn.axzo.msg.center.service.enums.PendingMessageStateEnum;

/**
 * @author yanglin
 */
public interface TodoInfoProvider {

    ProposedButtons getProposedButtons();

    BizFinalStateEnum getBizFinalState();

    PendingMessageStateEnum getState();

    Long getExecutorPersonId();

}
